package uy.edu.fing.tse.practico.business;

import uy.edu.fing.tse.dto.NoticiaDTO;
import uy.edu.fing.tse.dto.PublicacionDTO;

import java.util.List;

/**
 * La Capa de Negocio deberá proveer funcionalidades para Agregar una Publicación a
 * una Noticia, Obtener Noticias, Obtener Publicaciones y Obtener las Publicaciones de
 * una Noticia.
 */
public interface Business {

    void add(NoticiaDTO noticia);

    void add(PublicacionDTO publicacion, NoticiaDTO noticia);

    NoticiaDTO findNoticia(long idNoticia);

    List<NoticiaDTO> getNoticias();

    List<PublicacionDTO> getPublicaciones();

    List<PublicacionDTO> getPublicaciones(final long idNoticia);

    NoticiaDTO addPublicacionANoticia(final PublicacionDTO pub, final long idNoticia);
}
